org.wildfly.swarm.microprofile.openapi.api.models.security

## Class OAuthFlowsImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.security.OAuthFlowsImpl

- All Implemented Interfaces:
    ModelImpl

      public class OAuthFlowsImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `OAuthFlows` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthFlowsImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OAuthFlows` | `authorizationCode(OAuthFlow authorizationCode)`
    `OAuthFlows` | `clientCredentials(OAuthFlow clientCredentials)`
    `OAuthFlow` | `getAuthorizationCode()`
    `OAuthFlow` | `getClientCredentials()`
    `OAuthFlow` | `getImplicit()`
    `OAuthFlow` | `getPassword()`
    `OAuthFlows` | `implicit(OAuthFlow implicit)`
    `OAuthFlows` | `password(OAuthFlow password)`
    `void` | `setAuthorizationCode(OAuthFlow authorizationCode)`
    `void` | `setClientCredentials(OAuthFlow clientCredentials)`
    `void` | `setImplicit(OAuthFlow implicit)`
    `void` | `setPassword(OAuthFlow password)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuthFlowsImpl

          public OAuthFlowsImpl()

  - ### Method Detail

    - #### getImplicit

          public OAuthFlow getImplicit()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#getImplicit()`

    - #### setImplicit

          public void setImplicit(OAuthFlow implicit)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#setImplicit(org.eclipse.microprofile.openapi.models.security.OAuthFlow)`

    - #### implicit

          public OAuthFlows implicit(OAuthFlow implicit)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#implicit(org.eclipse.microprofile.openapi.models.security.OAuthFlow)`

    - #### getPassword

          public OAuthFlow getPassword()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#getPassword()`

    - #### setPassword

          public void setPassword(OAuthFlow password)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#setPassword(org.eclipse.microprofile.openapi.models.security.OAuthFlow)`

    - #### password

          public OAuthFlows password(OAuthFlow password)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#password(org.eclipse.microprofile.openapi.models.security.OAuthFlow)`

    - #### getClientCredentials

          public OAuthFlow getClientCredentials()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#getClientCredentials()`

    - #### setClientCredentials

          public void setClientCredentials(OAuthFlow clientCredentials)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#setClientCredentials(org.eclipse.microprofile.openapi.models.security.OAuthFlow)`

    - #### clientCredentials

          public OAuthFlows clientCredentials(OAuthFlow clientCredentials)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#clientCredentials(org.eclipse.microprofile.openapi.models.security.OAuthFlow)`

    - #### getAuthorizationCode

          public OAuthFlow getAuthorizationCode()

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#getAuthorizationCode()`

    - #### setAuthorizationCode

          public void setAuthorizationCode(OAuthFlow authorizationCode)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#setAuthorizationCode(org.eclipse.microprofile.openapi.models.security.OAuthFlow)`

    - #### authorizationCode

          public OAuthFlows authorizationCode(OAuthFlow authorizationCode)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.OAuthFlows#authorizationCode(org.eclipse.microprofile.openapi.models.security.OAuthFlow)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.